Bug 1280460 - Error running new populator_test
Error running new populator_test
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-11-11 14:24 EST by Chris Lumens
Modified: 2016-07-27 13:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-27 13:54:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Lumens 2015-11-11 14:24:59 EST
Running the new populator_test in jenkins with "make coverage", I hit the following every time:

ERROR: runTest (populator_test.setupDiskImagesNonZeroSizeTestCase)
Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 395, in wrapped
    ret = orig_obj(*args, **kwargs)
GLib.Error: g-bd-utils-exec-error-quark: Process reported exit code 256: losetup: /tmp/blivet.2of25cnj-disk1: failed to set up loop device: Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/jenkins/workspace/blivet-x86_64/tests/populator_test.py", line 32, in setUp
  File "/home/jenkins/workspace/blivet-x86_64/blivet/blivet.py", line 1329, in setupDiskImages
  File "/home/jenkins/workspace/blivet-x86_64/blivet/devicetree.py", line 531, in setupDiskImages
  File "/home/jenkins/workspace/blivet-x86_64/blivet/populator.py", line 1529, in setupDiskImages
  File "/home/jenkins/workspace/blivet-x86_64/blivet/devices/storage.py", line 386, in setup
  File "/home/jenkins/workspace/blivet-x86_64/blivet/devices/loop.py", line 107, in _setup
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 416, in wrapped
    raise transform[1](msg)
gi.overrides.BlockDev.LoopError: Process reported exit code 256: losetup: /tmp/blivet.2of25cnj-disk1: failed to set up loop device: Permission denied
Comment 1 Jan Kurik 2016-02-24 08:56:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
Comment 2 David Lehman 2016-07-27 13:54:55 EDT
If this is not actually fixed please reopen it.

Note You need to log in before you can comment on or make changes to this bug.